precede.cpp File Reference
`#include <gecode/set/precede.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

void | Gecode::precede (Home home, const SetVarArgs &x, int s, int t)
| Post propagator that s precedes t in x.
void | Gecode::precede (Home home, const SetVarArgs &x, const IntArgs &c)
| Post propagator that successive values in c precede each other in x.